Subject: Re: [RFC] Submodules in GIT

From: sf <[email-masked]>
Date: Thu, 30 Nov 2006 12:57:44 +0100

Andy Parkins wrote:
...
> Worse, if you allow that to happen, the supermodule can commit a state that 
> cannot be retrieved from the submodule's repository.  The ONLY thing a 
> supermodule can record about a submodule is a commit.

So what? You have a submodule commit that only exists in the 
supermodule. I fail to see the problem. The changes you made to the 
submodule _in the supermodule_ can later be pulled from wherever you want.

Regards

Stephan